public class LeeKeslerMixTest1 {
	
	public static void main(String[] arg) throws Exception{
		LeeKeslerMix LK1=new LeeKeslerMix("dizel4");
		double T=150+273.15;
		double P=1.01325;
		double h=LK1.h_TP_LK_MV(T,P);
		System.out.println("h("+T+")= "+h);
		System.out.println("T("+h+")= "+LK1.T_hP_LK_MV(h,P));
		//System.out.println("P= "+LK1.P_TV_LK_L(T,2.17*18.015));
		//System.out.println("Cp= "+LK1.cp_TP_LK_L(T,P));	
		//System.out.println("Cv= "+LK1.cv_TP_LK_L(T,P));
		//System.out.println("kv= "+LK1.kv_TP_LK_V(T,P));	
		//System.out.println("kl= "+LK1.kl_T_LK_L(143.15));
		//System.out.println("muv= "+LK1.vis_T_L_LPV(T));
		//System.out.println("mul= "+LK1.vis_T_PS_LTL(T));
		//double h1=(LK1.h_TP_LK_V(T,P));//LK1.h_T_IG_V(T);
		//System.out.println("h_TP_LK_V("+T+","+P+")= "+h1);
		//T=80+273.15;
		//double h2=(LK1.h_TP_LK_V(T,P));//
		//System.out.println("h_TP_LK_V("+T+","+P+")= "+h2);
		//System.out.println("h1-h2= "+(h1-h2));
		//System.out.println("(h1-h2)/MolWt= "+((h1-h2)/LK1.MolWt));
		
		//System.out.println("\n");
		
		//LeeKesler LK2=new LeeKesler("water");
		//T=360+273.15;
		//P=3.0;
		//System.out.println("Cp= "+LK1.cp_TP_LK_L(T,P));	
		//System.out.println("Cv= "+LK1.cv_TP_LK_L(T,P));
		//System.out.println("kv= "+LK1.kv_TP_LK_V(T,P));kl_TP_LK_L	
		//System.out.println("kl= "+LK1.kl_T_LK_L(143.15));
		//System.out.println("muv= "+LK1.vis_T_L_LPV(373.15));
		//System.out.println("mul= "+LK1.vis_T_PS_LTL(T));
		/*h1=(LK2.h_TP_LK_V(T,P));//LK1.h_T_IG_V(T);
		System.out.println("h_TP_LK_V("+T+","+P+")= "+h1);
		T=320+273.15;
		h2=(LK2.h_TP_LK_V(T,P));//
		System.out.println("h_TP_LK_V("+T+","+P+")= "+h2);
		System.out.println("h1-h2= "+(h1-h2));
		System.out.println("(h1-h2)/MolWt= "+((h1-h2)/LK2.MolWt));*/
	}
}